<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Material](./bitburner.material.md) &gt; [buyAmount](./bitburner.material.buyamount.md)

## Material.buyAmount property

Amount of material purchased from the market last cycle

**Signature:**

```typescript
buyAmount: number;
```
